#include <bits/stdc++.h>
#ifndef dbg 
#define dbg(...)
#endif

using namespace std;

using Iter = vector<int64_t>::iterator;

const int N = (int)1e6;

int64_t MergeSort(const Iter begin, const Iter end) {
  if (end - begin <= 1) {
    return 0;
  }
  Iter mid = begin + (end - begin) / 2;
  int64_t ret = MergeSort(begin, mid) + MergeSort(mid, end);

  static vector<int64_t> buffer;

  auto Push = [&](Iter &it) {
    buffer.emplace_back(*it);
    ++it;
  };

  Iter i = begin, j = mid;
  while (i != mid || j != end) {
    if (i == mid) Push(j);
    else if (j == end) Push(i);
    else {
      if (*i <= *j) {
        Push(i);
      } else {
        Push(j);
        ret += mid - i;
      }
    }
  }
  
  int index = 0;
  i = begin;
  while (i != end) {
    *i = buffer[index++];
    ++i;
  }
  buffer.clear();
   
  return ret;
}

int main() {
  ios::sync_with_stdio(0);
  cin.tie(0);

  int p; cin >> p;
  int n; cin >> n;
  vector<int64_t> v;
  int64_t prev, curr;
  for (int i = 0; i < n; ++i) {
    cin >> curr;
    if (i == 0) v.emplace_back(curr);
    else v.emplace_back(curr - prev);
    prev = curr;
  }

  int64_t inversions = MergeSort(v.begin() + 1, v.end());
  int64_t sum = v[0];
  for (int i = 1; i < n; ++i) {
    v[i] += v[i - 1];
    sum += v[i];
  }
  cout << (p == 1 ? sum : inversions) << endl;
}
